Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.cdi
Class RuntimeManagerProducer

    java.lang.Object
      org.jbpm.runtime.manager.impl.cdi.RuntimeManagerProducer

    @ApplicationScoped
    public class RuntimeManagerProducer

extends Object

Producer method used to build instances of `RuntimeManager` automatically by CDI container. It contains dedicated producer methods for all supported manager types:

- singleton
- per request
- per process instance

It requires two bean injected that are required for successful instantiation of `RuntimeManager`:

- `RuntimeEnvironment`
- `RuntimeManagerFactory`

Injections are controlled with qualifiers so same should be used at injection points that should receive them

See Also:
  `Singleton`, `PerRequest`, `PerProcessInstance`

Constructor Summary
`RuntimeManagerProducer()`

Method Summary
`RuntimeManager` | `newPerProcessInstanceRuntimeManager()`
`RuntimeManager` | `newPerRequestRuntimeManager()`
`RuntimeManager` | `newSingletonRuntimeManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeManagerProducer

    public RuntimeManagerProducer()

Method Detail

### newSingletonRuntimeManager

    @Produces
    public RuntimeManager newSingletonRuntimeManager()

### newPerRequestRuntimeManager

    @Produces
    public RuntimeManager newPerRequestRuntimeManager()

### newPerProcessInstanceRuntimeManager

    @Produces
    public RuntimeManager newPerProcessInstanceRuntimeManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.